#
# Conditional build:
%bcond_without	apidocs	# gi-docgen based API documentation
%bcond_without	vala	# Vala bindings
%bcond_without	sniffer	# sniffer package (GUI)

Summary:	GObject-based SSDP (Simple Service Discovery Protocol) library
Summary(pl.UTF-8):	Biblioteka SSDP (Simple Service Discovery Protocol) oparta na GObject
Name:		gssdp1.6
# note: 1.6.x is stable, 1.7.x unstable
Version:	1.6.3
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.gnome.org/sources/gssdp/1.6/gssdp-%{version}.tar.xz
# Source0-md5:	dda8a67916b17882ce6bc214d1defd53
URL:		https://wiki.gnome.org/Projects/GUPnP
BuildRequires:	docbook-dtd412-xml
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	glib2-devel >= 1:2.69
BuildRequires:	gobject-introspection-devel >= 1.36.0
%{?with_sniffer:BuildRequires:	gtk4-devel >= 4}
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.029
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.20}
BuildRequires:	xz
Requires:	glib2 >= 1:2.69
Requires:	libsoup3 >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GSSDP is a GObject-based API that implements resource discovery and
announcement over SSDP (Simple Service Discovery Protocol).

%description -l pl.UTF-8
GSSDP to oparte na bibliotece GObject API implementujące wykrywanie i
rozgłaszanie zasobów przy użyciu protokołu SSDP (Simple Service
Discovery Protocol).

%package devel
Summary:	Header files for GSSDP
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GSSDP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.69
Requires:	libsoup3-devel >= 3.0

%description devel
This package contains header files for GSSDP library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki GSSDP.

%package static
Summary:	Static GSSDP library
Summary(pl.UTF-8):	Statyczna biblioteka GSSDP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GSSDP library.

%description static -l pl.UTF-8
Statyczna biblioteka GSSDP.

%package apidocs
Summary:	GSSDP API documentation
Summary(pl.UTF-8):	Dokumentacja API GSSDP
Group:		Documentation
BuildArch:	noarch

%description apidocs
GSSDP API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GSSDP.

%package -n vala-gssdp1.6
Summary:	Vala binding for GSSDP library
Summary(pl.UTF-8):	Wiązanie języka Vala do biblioteki GSSDP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.20
BuildArch:	noarch

%description -n vala-gssdp1.6
Vala binding for GSSDP library.

%description -n vala-gssdp1.6 -l pl.UTF-8
Wiązanie języka Vala do biblioteki GSSDP.

%package -n gssdp-sniffer
Summary:	Graphical SSDP sniffer
Summary(pl.UTF-8):	Graficzny sniffer SSDP
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	gtk4 >= 4

%description -n gssdp-sniffer
Graphical SSDP sniffer.

%description -n gssdp-sniffer -l pl.UTF-8
Graficzny sniffer SSDP.

%prep
%setup -q -n gssdp-%{version}

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true} \
	%{!?with_sniffer:-Dsniffer=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/gssdp-1.6 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/libgssdp-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgssdp-1.6.so.0
%{_libdir}/girepository-1.0/GSSDP-1.6.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgssdp-1.6.so
%{_datadir}/gir-1.0/GSSDP-1.6.gir
%{_includedir}/gssdp-1.6
%{_pkgconfigdir}/gssdp-1.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgssdp-1.6.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/gssdp-1.6
%endif

%if %{with vala}
%files -n vala-gssdp1.6
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gssdp-1.6.deps
%{_datadir}/vala/vapi/gssdp-1.6.vapi
%endif

%if %{with sniffer}
%files -n gssdp-sniffer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gssdp-device-sniffer
%{_mandir}/man1/gssdp-device-sniffer.1*
%endif
%changelog
* Sun Nov 12 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gssdp1.6.git;a=log;h=master

* Sun Nov 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 881cd91
- updated to 1.6.3

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 4eb2260
- post gtk-doc cleanup

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> b22e04f
- use _gidocdir for apidocs

* Fri Mar 24 2023 Jakub Bogusz <qboosh@pld-linux.org> bae9659
- gssdp updated to 1.6.2 as gssdp1.6 (libsoup3 based, parallel installable with libsoup 2.x based gssdp 1.4.x)
- only gssdp-sniffer package built as replacement for 1.4.x version

* Thu Nov 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 6a99115
- updated to 1.4.1

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 8ba816e
- updated to 1.4.0.1; sniffer ported to gtk4, docs are based on gi-docgen now

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 24c334f
- unconditional noarch subpackages

* Tue Jun 23 2020 Jakub Bogusz <qboosh@pld-linux.org> c39fefa
- updated to 1.2.3

* Fri Jan 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 2b3aad2
- updated to 1.2.2

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> f18be82
- updated to 1.2.1

* Wed Apr 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 3f25624
- rpm macros for meson

* Wed Apr 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 0355d2e
- updated to 1.2.0 (note: new library name); now uses meson

* Mon Mar 20 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b18f662
- Update to 1.0.2

* Sun Oct 16 2016 Marcin Banasiak <marcin.banasiak@gmail.com> c4e26e4
- Update to 1.0.1

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 7bf4e7b
- updated to 0.14.16

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 9c954a2
- updated to 0.14.15

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 00dc5a8
- noarch apidocs

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 214c6a7
- noarch vala subpackage

* Tue Feb 09 2016 Jakub Bogusz <qboosh@pld-linux.org> b1611ad
- updated to 0.14.14

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 4250b01
- updated to 0.14.13

